#
# spec file for package tse3 (Version 0.1.0)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  alsa alsa-devel gpp gppshare libgpp
# usedforbuild    aaa_base aaa_dir alsa alsa-devel autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         tse3
Copyright:    LGPL/GPL
Group:        Applications/Sound
Provides:     TSE3 Library
# Requires:     
BuildRoot:    /var/tmp/%{name}-%{version}-root
Autoreqprov:  on
Version:      0.1.0
Release:      63
Summary:      TSE3 MIDI-sequenzer library
Source:       tse3-%{version}.tar.bz2

%description
TSE3 is a MIDI sequencer library written in C++. Sequencer
applications or multimedia presentation packages can
incorporate the TSE3 libraries to provide a user with MIDI
sequencing facilities. The library is open source.

Authors:
--------
    Pete Goodliffe <pete.goodliffe@pace.co.uk>

SuSE series: snd

%prep
%setup

%build
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
./configure --prefix=%{_prefix} --with-install-root=$RPM_BUILD_ROOT \
  --host=%{_target_cpu}-suse-linux --mandir=%{_mandir}
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/html
mkdir -p $RPM_BUILD_ROOT%{_docdir}/%{name}/misc
make install DESTDIR=$RPM_BUILD_ROOT
strip $RPM_BUILD_ROOT/%{_bindir}/*
cp  AUTHORS COPYING README NEWS THANKS TODO ChangeLog $RPM_BUILD_ROOT%{_docdir}/%{name} 
cp misc/*tse* misc/*.mid $RPM_BUILD_ROOT%{_docdir}/%{name}/misc
cp doc/*.html doc/*.gif doc/*.png $RPM_BUILD_ROOT%{_docdir}/%{name}/html
cd $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%{_includedir}/*
%{_bindir}/*
%{_libdir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%doc %{_docdir}/%{name}

%changelog -n tse3
* Tue Jul 24 2001 - mana@suse.de
- update to 0.1.0
* Tue Mar 27 2001 - mana@suse.de
- update to 0.0.23
- updated filelist in {_docdir}/misc
* Tue Mar 20 2001 - mana@suse.de
- update to 0.0.22
* Fri Jan 26 2001 - mana@suse.de
- update to 0.0.20
* Wed Jan 24 2001 - mana@suse.de
- update to 0.0.19
- spec file rewritten based on spec file from tse3 author
* Wed Jan 03 2001 - adrian@suse.de
- update to 0.0.17
* Mon Nov 13 2000 - ro@suse.de
- fixed configure for mandir
* Fri Nov 10 2000 - adrian@suse.de
- initial package
